Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class ErrorHandlingServlet

    java.lang.Object
      org.springframework.web.servlet.DispatcherServlet
          org.codehaus.groovy.grails.web.servlet.GrailsDispatcherServlet
              org.codehaus.groovy.grails.web.servlet.ErrorHandlingServlet

    public class ErrorHandlingServlet
    extends GrailsDispatcherServlet

A servlet for handling errors.

Authors:
  mike

Since:
  1.0-RC1

Field Summary

Fields inherited from class GrailsDispatcherServlet
interceptors, multipartResolver

Method Summary
`protected HttpServletRequest` | `checkMultipart(HttpServletRequest request)`
`protected void` | `doDispatch(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class GrailsDispatcherServlet
checkMultipart, copyParamsFromPreviousRequest, createWebApplicationContext, destroy, doDispatch, establishInterceptors, getHandler, initFrameworkServlet, initStrategies, setApplication, triggerAfterCompletion, useWrappedOrOriginalResponse

Method Detail

### checkMultipart

    @Override
    protected HttpServletRequest checkMultipart(HttpServletRequest request)

### doDispatch

    @Override
    protected void doDispatch(HttpServletRequest request, HttpServletResponse response)

Groovy Documentation